[Distutils] Unable to install packages after specifying package version

devyan parmar devyan.parmar at gmail.com
Tue Dec 7 11:34:47 CET 2010

On Fri, Dec 3, 2010 at 10:14 PM, P.J. Eby <pje at telecommunity.com> wrote:

> At 04:25 PM 12/3/2010 +0530, devyan parmar wrote:
>> Hello,
>> i am trying to install package from my packageserver using PIP.
>> for example:
>> m trying
>> /bin/pip install --extra-index-url=<http://mypkgserver/dev>
>> http://mypkgserver/dev package_name==2.4.12b
>> "2.4.12b" is the version of my package but in package server it is going
>> as "2.4.12b_1" extra part in version is nothing but a build number which
>> getting generated from hudson JOB.
>> is setuptool avoids extra build number which goes with my pcakage version
>> ??
>  No.  That's why it's not being found.  Ask for "package_name==2.4.12b-1"
> instead.

Is there  any way to avoid the extra hudson build number which is coming
with my package version ?? coz i need that build number to check which
package build test got failed...and issue is in package/setup.py i am
specifying only versions of dependent package.
and pip install is looking for only those particular version package in
package server, but finds hudson build number attached with package version
which is mismatching with setup.py install requires .

can you help me how version is getting identified from the package by

Thanks Regards
devyan parmar
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/distutils-sig/attachments/20101207/de37ba38/attachment.html>

More information about the Distutils-SIG mailing list